package com.ruoyi.system.entity;





import com.ruoyi.common.core.domain.BaseEntity;

import java.io.Serializable;

public class DataSource extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 字典编码
     */
    private Long id;

    /**
     * 数据库名
     */
    private String databaseName;

    /**
     * 数据库IP
     */
    private String databaseIp;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 端口号
     */
    private Long portNumber;

    /**
     * 数据库类型
     */
    private String databaseType;

    @Override
    public String toString() {
        return "DataSource{" +
                "id=" + id +
                ", databaseName='" + databaseName + '\'' +
                ", databaseIp='" + databaseIp + '\'' +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", portNumber=" + portNumber +
                ", databaseType='" + databaseType + '\'' +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDatabaseName() {
        return databaseName;
    }

    public void setDatabaseName(String databaseName) {
        this.databaseName = databaseName;
    }

    public String getDatabaseIp() {
        return databaseIp;
    }

    public void setDatabaseIp(String databaseIp) {
        this.databaseIp = databaseIp;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Long getPortNumber() {
        return portNumber;
    }

    public void setPortNumber(Long portNumber) {
        this.portNumber = portNumber;
    }

    public String getDatabaseType() {
        return databaseType;
    }

    public void setDatabaseType(String databaseType) {
        this.databaseType = databaseType;
    }
}
